Method: networks.adRules.batchUpdate

Batch updates AdRule objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/adRules:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where AdRules will be updated. Format: networks/{networkCode} The parent field in the UpdateAdRuleRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateAdRuleRequest)
    }
  ]
}
Fields
requests[]

object (UpdateAdRuleRequest)

Required. The AdRule objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for adRules.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "adRules": [
    {
      object (AdRule)
    }
  ]
}
Fields
adRules[]

object (AdRule)

The AdRule objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateAdRuleRequest

Request object for adRules.patch method.

JSON representation
{
  "adRule": {
    object (AdRule)
  },
  "updateMask": string
}
Fields
adRule

object (AdRule)

Required. The AdRule to update.

The AdRule's name is used to identify the AdRule to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".